DESCRIPTION:
The Haskell analysis program is a prototype Haskell source code analyzer. 
It offers functionality to convert Haskell source code into an equivalent meta-model. 
It supports the calculation of three structural metrics, module size (LOC), module cohesion (LCOM) and module coupling (CBO). 
Several aggregation methods are supported, such as average, median, Gini coefficient and ideal value deviation.

This software is developed as part of the research described in the paper
"Assessing the quality of evolving Haskell systems by measuring structural inequality",
published in the proceedings of the ACM SIGPLAN Haskell Symposium 2020 conference.
https://doi.org/10.1145/3406088.3409014

EXECUTABLE:
Currently the application 'looks' for the project-to-analyse in the <project-root>/dataset/input folder. Therefore, the HaskellAnalysisProgram executable must be run from the <project-root> location. The project-to-analyse must be entered into the <project-root>/dataset/input folder. The analysis start by calling; HaskellAnalysisProgram <project-to-analyse> (e.g., HaskellAnalysisProgram programX).
Run HaskellAnalysisProgram without arguments to see the various options to use the HaskellAnalysisProgram.

AUTHORS:
Henrie Vos
Sander Kamps

CREDITS:
Bastiaan Heeren

